Duet Issues

Hey all,

Does anyone know what the hell is going on here in this attachment?

This is from a new NI-3100 out of the box with a new install of Netlinx studio as well.

Master FW = v4.1.403
Device FW = v1.30.10


Cheers!

Comments

  • travtrav Get off my lawn Posts: 188
    I take it it was like that out of the box and you haven't loaded any code into it?
  • d_gavind_gavin Member Posts: 21
    Of course ive loaded code into it.
  • travtrav Get off my lawn Posts: 188
    Down boy.

    I Just got the impression from your post that it was straight out of the box from AMX.
  • champchamp Junior Member Posts: 261
    It looks like a duet module is not loading but it's not obvious which one.
    I can see a Virtual Keypad and a Sony EVID camera or two.

    It's probably an issue with the Duet libraries in firmware not matching the Duet libraries in a module so a firmware update could fix it but i doubt it, more likely old firmware will fix it.

    Try commenting out all the Duet modules and see if you get errors, then add a duet module at a time and test.


    Sent from my iPhone using Tapatalk
  • rynandorynando Junior Member Posts: 68
    It looks like a bunch of dependencies are missing, which is odd. Have you run WebUpdate? Is your duet platform runtime up to date?
  • pdabrowskipdabrowski Aussie Guy Posts: 184
    You probably only have duet platform runtime v1 installed, there is v2.0.3 available through webupdate.
    Duet Platform Runtime 2.0 Build 3 
    
    Initial release of the Duet2 Runtime library, for use on NetLinx master controllers with
    firmware version 4.1.371 or later. The Duet2 Runtime includes componentsdkrt.jar and 
    snapirouter2.jar, as well as Java support libraries: jregex1.2_01-bundle.jar, js-14-bundle.jar, 
    json-bundle.jar and picocontainer-1.3-bundle.jar. Duet2 Runtime is required to run Device 
    Drivers using the new DeviceDriverEngine.jar module. The DeviceDriverEngine module and 
    Device Driver files can be downloaded from the AMX InConcert website at 
    http://www.amx.com/Net/Inconcert/Devices/InConcertMainPage.aspx.
    
  • PhreaKPhreaK Senior Member Posts: 966
    Yep, as others have alluded to, run WebUpdate and all will be good. You are just missing some of the dependencies for a few more recent modules.

    As a side note, even after successfully installing the latest Duet Runtime the current version of WebUpate appears to have an issue in that it does not detect this installation as being completed. As such, it will continuously show that there is an update available. If you want to check that it's all there however just have a look in C:\Program Files (x86)\Common Files\AMXShare\Duet\bundle. If you have the v2.0.x libraries you should see a few new libraries in there (including snapirouter2).
  • d_gavind_gavin Member Posts: 21
    I ran Web Update twice and it still says its running Duet Platform v1.15.230. But get this, I tried an NI-700 with v4.1.373 and it worked with the same code. I'll just keep try ing to update my platform.

    Cheers guys.
  • PhreaKPhreaK Senior Member Posts: 966
    See:
    PhreaK wrote: »
    As a side note, even after successfully installing the latest Duet Runtime the current version of WebUpate appears to have an issue in that it does not detect this installation as being completed. As such, it will continuously show that there is an update available. If you want to check that it's all there however just have a look in C:\Program Files (x86)\Common Files\AMXShare\Duet\bundle. If you have the v2.0.x libraries you should see a few new libraries in there (including snapirouter2).

    What is showing in your C:\Program Files (x86)\Common Files\AMXShare\Duet\bundle directory?

    P.S. this is currently being looked into by the team at HQ.
  • d_gavind_gavin Member Posts: 21
    It is now fixed by rolling back the firmware to v4.1.373.


    Kim, A picture of my bundle folder is attached.
  • PhreaKPhreaK Senior Member Posts: 966
    Interesting...

    The issue with WebUpdate is now all fixed if anyone else is experiencing that. Simply the Duet Platform Runtime installer that it now pulls down and this will correctly show as installed.

    Regarding your issues Gavin, if you are saying that there appears to be functionality broken with a specific firmware release give the support guys a call as I'm sure they would be interested in looking into this further.
Sign In or Register to comment.